# $Revision: 1.14 $, $Date: 2003/07/04 11:33:12 $
Summary:	Elysium GNU/Linux Utilities Library
Summary(pl):	Biblioteka narzdziowa Elysium GNU/Linux
Name:		libelysium
Version:	0.99.9
Release:	1
License:	LGPL
Group:		Libraries
# elysium.zoned.net dead at the moment
#Source0:	http://elysium.zoned.net/libelysium/%{name}-%{version}.tar.gz
Source0:	http://dl.sourceforge.net/elysium-project/%{name}-%{version}.tar.gz
# Source0-md5:	5aa7d82d60220c9bf1147051196c8306
URL:		http://elysium-project.sourceforge.net/libraries/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.23
Requires:	libxml2 >= 2.4.23
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	encompass-uri

%description
Utility library for applications in the Elysium GNU/Linux
distribution.

%description -l pl
Biblioteka narzdziowa dla aplikacji w dystrybucji Elysium GNU/Linux.

%package devel
Summary:	Elysium GNU/Linux Utilities Library Development Files
Summary(pl):	Pliki dla programistw uywajcych biblioteki narzdziowej Elysium GNU/Linux
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel
Requires:	libxml2-devel >= 2.4.23
Obsoletes:	encompass-uri-devel

%description devel
Includes files used for developing Elysium GNU/Linux applications.

%description devel -l pl
Pliki nagwkowe do tworzenia aplikacji Elysium GNU/Linux.

%package static
Summary:	Elysium GNU/Linux Utilities static library
Summary(pl):	Statyczna biblioteka narzdziowa Elysium GNU/Linux
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	encompass-uri-devel

%description static
Elysium GNU/Linux Utilities static library.

%description static -l pl
Statyczna biblioteka narzdziowa Elysium GNU/Linux.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libelysium-2.0
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libelysium.spec,v $
Revision 1.14  2003/07/04 11:33:12  qboosh
- updated to 0.99.9

Revision 1.13  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.10  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/02 11:38:29  kloczek
- updated to 0.3.5,
- remo all patches (not neccessary now),
- updated %files lists,
- added glib-devel to BuildRequires and to Requires in devel subpackage.

Revision 1.6  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/11 12:11:00  qboosh
- pl translations

Revision 1.2  2001/12/11 11:12:23  kloczek
- completly rewrited in PLD style.

Based on spec by Rodney Dawes <dobey@free.fr>
